package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.TeacherStyleVideo;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022/4/11 14:44
 */
@ApiModel(value = "TeacherStyleVideoVo", description = "老师风采信息")
public class TeacherStyleVideoVo extends TeacherStyleVideo {
    @ApiModelProperty(value = "真实姓名")
    private String realName;
    @ApiModelProperty("手机号 ")
    private String phone;

    @ApiModelProperty(value = "老师是否在直播中 0否 1是")
    private YesOrNoEnum liveing;
    @ApiModelProperty("头像地址")
    private String avatar;
    @ApiModelProperty("老师昵称")
    private String username;
    @ApiModelProperty("审核人 ")
    private String verifyUser;

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public YesOrNoEnum getLiveing() {
        return liveing;
    }

    public void setLiveing(YesOrNoEnum liveing) {
        this.liveing = liveing;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getVerifyUser() {
        return verifyUser;
    }

    public void setVerifyUser(String verifyUser) {
        this.verifyUser = verifyUser;
    }
}
